# f(x) = 3x^2 - 1
def f(x):
    return 3 * x ** 2 - 1


# f(0) = -1
# f(1) = 2
# There must be a root of the equation between them - lets find it

lower = 0
upper = 1
mid = (upper + lower) / 2

while abs(f(mid)) > 1e-6:
    current_estimate = f(mid)
    print(current_estimate)
    if current_estimate > 0:
        upper = mid
    else:
        lower = mid
    mid = (upper + lower) / 2

print("The value of x such that 3x^2 - 1 = 0 is", mid)
